from .......Internal.Core import Core
from .......Internal.CommandsGroup import CommandsGroup
from .......Internal import Conversions


# noinspection PyPep8Naming,PyAttributeOutsideInit,SpellCheckingInspection
class ResultCls:
	"""Result commands group definition. 1 total commands, 0 Subgroups, 1 group commands"""

	def __init__(self, core: Core, parent):
		self._core = core
		self._cmd_group = CommandsGroup("result", core, parent)

	def get(self) -> float:
		"""SCPI: FETCh:TTF:CURRent[:RESult] \n
		Snippet: value: float = driver.applications.k18AmplifierEt.fetch.ttf.current.result.get() \n
		This command queries the Trigger to Frame result as displayed in the channel bar. \n
			:return: time: numeric value Unit: s"""
		response = self._core.io.query_str(f'FETCh:TTF:CURRent:RESult?')
		return Conversions.str_to_float(response)
